<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <groupId>dummy</groupId>
    <artifactId>dummy</artifactId>
    <version>${project.version}</version>
    <name>test greenpepper runner</name>


    <dependencies>
        <dependency>
            <groupId>com.github.strator-dev.greenpepper</groupId>
            <artifactId>greenpepper-core</artifactId>
            <version>${project.version}</version>
        </dependency>
    </dependencies>


    <build>
        <plugins>
            <plugin>
                <groupId>com.github.strator-dev.greenpepper</groupId>
                <artifactId>greenpepper-maven-plugin</artifactId>
                <version>${project.version}</version>
                <configuration>
                    <locale>en</locale>
                    <debug>true</debug>
                    <source>1.8</source>
                    <target>1.8</target>
                    <fixtureSourceDirectory>src/fixture/java</fixtureSourceDirectory>
                    <fixtureOutputDirectory>target/test-classes</fixtureOutputDirectory>
                    <systemUnderDevelopment>com.greenpepper.maven.plugin.CustomSUD</systemUnderDevelopment>
                    <systemUnderDevelopmentArgs>ARG1;ARG2</systemUnderDevelopmentArgs>
                    <!-- Sample repositories configuration -->

                    <repositories>
                        <repository>
                            <type>com.greenpepper.repository.FileSystemRepository</type>
                            <root>../specs</root>
                            <name>file</name>
                            <projectName>PROJECT</projectName>
                            <systemUnderTest>SUT</systemUnderTest>
                            <runnerName>custom</runnerName>
                        </repository>
                    </repositories>

                    <runners>
                        <runner>
                            <name>custom</name>
                            <forkCount>2</forkCount>
                            <cmdLineTemplate>java -cp {classpaths} {mainClass} {inputPath} {outputPath} -r {repository} -f {fixtureFactory};{fixtureFactoryArgs}</cmdLineTemplate>
                            <mainClass>com.greenpepper.runner.Main</mainClass>
                            <includeProjectClasspath>true</includeProjectClasspath>
                        </runner>
                    </runners>
                </configuration>
                <executions>
                    <execution>
                        <id>makeall</id>
                        <phase>integration-test</phase>
                        <goals>
                            <goal>compile</goal>
                            <goal>run</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>

</project>
